Bug 229221

Summary: [LFC][IFC] Do not pass in the InvalidationState to the layout functions
Product: WebKit Reporter: zalan <zalan>
Component: Layout and RenderingAssignee: zalan <zalan>
Status: RESOLVED FIXED    
Severity: Normal CC: annulen, bfulgham, ews-watchlist, gyuyoung.kim, koivisto, ryuan.choi, sergio, simon.fraser, webkit-bug-importer, zalan
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch koivisto: review+

Description zalan 2021-08-17 19:27:51 PDT
Invalidation should happen within the formatting context and not coming from the root.
Comment 1 zalan 2021-08-17 19:34:10 PDT
Created attachment 435737 [details]
Patch
Comment 2 Radar WebKit Bug Importer 2021-08-24 19:28:17 PDT
<rdar://problem/82321574>
Comment 3 zalan 2021-09-13 09:36:50 PDT
Created attachment 438047 [details]
Patch
Comment 4 zalan 2021-09-13 12:35:46 PDT
Committed r282348 (241614@main): <https://commits.webkit.org/241614@main>